set -eu
export DOCKER_BUILDKIT=1

image="git.distrust.co/public/icepick-sol"

pushd "$(dirname $0)"
docker build -t "$image:base" -f base.Containerfile ../..
docker build -t "$image:online" -f online.Containerfile ../..

mkdir -p data
# remove stale data if it exists
rm data/input.json || true
rm data/output.json || true
docker run -it -v "$PWD/data:/data" "$image:online"
