set -eu
export DOCKER_BUILDKIT=1

image="git.distrust.co/public/icepick-sol"

pushd "$(dirname $0)"
docker build -t "$image:base" -f base.Containerfile ../..
docker build -t "$image:offline" -f offline.Containerfile ../..

mkdir -p data
docker run -it -v "$PWD/data:/data" "$image:offline"
